# \Thelia\Model\BaseCartItemQuery

Base class that represents a query for the 'cart_item' table.

## Summary

Methods
Properties
Constants
__construct()
create()
findPk()
findPks()
filterByPrimaryKey()
filterByPrimaryKeys()
filterById()
filterByCartId()
filterByProductId()
filterByQuantity()
filterByProductSaleElementsId()
filterByPrice()
filterByPromoPrice()
filterByPriceEndOfLife()
filterByCreatedAt()
filterByUpdatedAt()
filterByCart()
joinCart()
useCartQuery()
filterByProduct()
joinProduct()
useProductQuery()
filterByProductSaleElements()
joinProductSaleElements()
useProductSaleElementsQuery()
prune()
doDeleteAll()
delete()
recentlyUpdated()
recentlyCreated()
lastUpdatedFirst()
firstUpdatedFirst()
lastCreatedFirst()
firstCreatedFirst()
orderById()
orderByCartId()
orderByProductId()
orderByQuantity()
orderByProductSaleElementsId()
orderByPrice()
orderByPromoPrice()
orderByPriceEndOfLife()
orderByCreatedAt()
orderByUpdatedAt()
groupById()
groupByCartId()
groupByProductId()
groupByQuantity()
groupByProductSaleElementsId()
groupByPrice()
groupByPromoPrice()
groupByPriceEndOfLife()
groupByCreatedAt()
groupByUpdatedAt()
leftJoin()
rightJoin()
innerJoin()
leftJoinCart()
rightJoinCart()
innerJoinCart()
leftJoinProduct()
rightJoinProduct()
innerJoinProduct()
leftJoinProductSaleElements()
rightJoinProductSaleElements()
innerJoinProductSaleElements()
findOne()
findOneOrCreate()
findOneById()
findOneByCartId()
findOneByProductId()
findOneByQuantity()
findOneByProductSaleElementsId()
findOneByPrice()
findOneByPromoPrice()
findOneByPriceEndOfLife()
findOneByCreatedAt()
findOneByUpdatedAt()
findById()
findByCartId()
findByProductId()
findByQuantity()
findByProductSaleElementsId()
findByPrice()
findByPromoPrice()
findByPriceEndOfLife()
findByCreatedAt()
findByUpdatedAt()
No public properties found
No constants found
findPkSimple()
findPkComplex()
No protected properties found
N/A
No private methods found
No private properties found
N/A
abstract

File
  Model/Base/CartItemQuery.php
Package
  \Default
Class hierarchy
  \Propel\Runtime\ActiveQuery\ModelCriteria
  \Thelia\Model\Base\CartItemQuery

## Tags

None found

## Methods

### __construct()

    __construct(string $dbName, string $modelName, string $modelAlias)

Initializes internal state of \Thelia\Model\Base\CartItemQuery object.

#### Parameters

string | $dbName | The database name
string | $modelName | The phpName of a model, e.g. 'Book'
string | $modelAlias | The alias for the model in this query, e.g. 'b'

#

## Tags

None found

### create()

    create(string $modelAlias, \Propel\Runtime\ActiveQuery\Criteria $criteria) : \Thelia\Model\CartItemQuery

Returns a new ChildCartItemQuery object.

#### Parameters

string | $modelAlias | The alias of a model in the query
\Propel\Runtime\ActiveQuery\Criteria | $criteria | Optional Criteria to build the query from

#### Returns

\Thelia\Model\CartItemQuery

#

static

## Tags

None found

### findPk()

    findPk(mixed $key, \Propel\Runtime\Connection\ConnectionInterface $con) : \Thelia\Model\CartItem|array|mixed

Find object by primary key.

Propel uses the instance pool to skip the database if the object exists. Go fast if the query is untouched.

`$obj = $c->findPk(12, $con);`

#### Parameters

mixed | $key | Primary key to use for the query
\Propel\Runtime\Connection\ConnectionInterface | $con | an optional connection object

#### Returns

\Thelia\Model\CartItem|array|mixed —

the result, formatted by the current formatter

#

## Tags

None found

### findPks()

    findPks(array $keys, \Propel\Runtime\Connection\ConnectionInterface $con) : \Propel\Runtime\Collection\ObjectCollection|array|mixed

Find objects by primary key <code> $objs = $c->findPks(array(12, 56, 832), $con); </code>

#### Parameters

array | $keys | Primary keys to use for the query
\Propel\Runtime\Connection\ConnectionInterface | $con | an optional connection object

#### Returns

\Propel\Runtime\Collection\ObjectCollection|array|mixed —

the list of results, formatted by the current formatter

#

## Tags

None found

### filterByPrimaryKey()

    filterByPrimaryKey(mixed $key) : \Thelia\Model\CartItemQuery

Filter the query by primary key

#### Parameters

mixed | $key | Primary key to use for the query

#### Returns

\Thelia\Model\CartItemQuery —

The current query, for fluid interface

#

## Tags

None found

### filterByPrimaryKeys()

    filterByPrimaryKeys(array $keys) : \Thelia\Model\CartItemQuery

Filter the query by a list of primary keys

#### Parameters

array | $keys | The list of primary key to use for the query

#### Returns

\Thelia\Model\CartItemQuery —

The current query, for fluid interface

#

## Tags

None found

### filterById()

    filterById(mixed $id, string $comparison) : \Thelia\Model\CartItemQuery

Filter the query on the id column

Example usage: `$query->filterById(1234); // WHERE id = 1234 $query->filterById(array(12, 34)); // WHERE id IN (12, 34) $query->filterById(array('min' => 12)); // WHERE id > 12`

#### Parameters

mixed | $id | The value to use as filter. Use scalar values for equality. Use array values for in_array() equivalent. Use associative array('min' => $minValue, 'max' => $maxValue) for intervals.
string | $comparison | Operator to use for the column comparison, defaults to Criteria::EQUAL

#### Returns

\Thelia\Model\CartItemQuery —

The current query, for fluid interface

#

## Tags

None found

### filterByCartId()

    filterByCartId(mixed $cartId, string $comparison) : \Thelia\Model\CartItemQuery

Filter the query on the cart_id column

Example usage: `$query->filterByCartId(1234); // WHERE cart_id = 1234 $query->filterByCartId(array(12, 34)); // WHERE cart_id IN (12, 34) $query->filterByCartId(array('min' => 12)); // WHERE cart_id > 12`

#### Parameters

mixed | $cartId | The value to use as filter. Use scalar values for equality. Use array values for in_array() equivalent. Use associative array('min' => $minValue, 'max' => $maxValue) for intervals.
string | $comparison | Operator to use for the column comparison, defaults to Criteria::EQUAL

#### Returns

\Thelia\Model\CartItemQuery —

The current query, for fluid interface

#

See also

## Tags

None found

### filterByProductId()

    filterByProductId(mixed $productId, string $comparison) : \Thelia\Model\CartItemQuery

Filter the query on the product_id column

Example usage: `$query->filterByProductId(1234); // WHERE product_id = 1234 $query->filterByProductId(array(12, 34)); // WHERE product_id IN (12, 34) $query->filterByProductId(array('min' => 12)); // WHERE product_id > 12`

#### Parameters

mixed | $productId | The value to use as filter. Use scalar values for equality. Use array values for in_array() equivalent. Use associative array('min' => $minValue, 'max' => $maxValue) for intervals.
string | $comparison | Operator to use for the column comparison, defaults to Criteria::EQUAL

#### Returns

\Thelia\Model\CartItemQuery —

The current query, for fluid interface

#

See also

## Tags

None found

### filterByQuantity()

    filterByQuantity(mixed $quantity, string $comparison) : \Thelia\Model\CartItemQuery

Filter the query on the quantity column

Example usage: `$query->filterByQuantity(1234); // WHERE quantity = 1234 $query->filterByQuantity(array(12, 34)); // WHERE quantity IN (12, 34) $query->filterByQuantity(array('min' => 12)); // WHERE quantity > 12`

#### Parameters

mixed | $quantity | The value to use as filter. Use scalar values for equality. Use array values for in_array() equivalent. Use associative array('min' => $minValue, 'max' => $maxValue) for intervals.
string | $comparison | Operator to use for the column comparison, defaults to Criteria::EQUAL

#### Returns

\Thelia\Model\CartItemQuery —

The current query, for fluid interface

#

## Tags

None found

### filterByProductSaleElementsId()

    filterByProductSaleElementsId(mixed $productSaleElementsId, string $comparison) : \Thelia\Model\CartItemQuery

Filter the query on the product_sale_elements_id column

Example usage: `$query->filterByProductSaleElementsId(1234); // WHERE product_sale_elements_id = 1234 $query->filterByProductSaleElementsId(array(12, 34)); // WHERE product_sale_elements_id IN (12, 34) $query->filterByProductSaleElementsId(array('min' => 12)); // WHERE product_sale_elements_id > 12`

#### Parameters

mixed | $productSaleElementsId | The value to use as filter. Use scalar values for equality. Use array values for in_array() equivalent. Use associative array('min' => $minValue, 'max' => $maxValue) for intervals.
string | $comparison | Operator to use for the column comparison, defaults to Criteria::EQUAL

#### Returns

\Thelia\Model\CartItemQuery —

The current query, for fluid interface

#

See also

## Tags

None found

### filterByPrice()

    filterByPrice(mixed $price, string $comparison) : \Thelia\Model\CartItemQuery

Filter the query on the price column

Example usage: `$query->filterByPrice(1234); // WHERE price = 1234 $query->filterByPrice(array(12, 34)); // WHERE price IN (12, 34) $query->filterByPrice(array('min' => 12)); // WHERE price > 12`

#### Parameters

mixed | $price | The value to use as filter. Use scalar values for equality. Use array values for in_array() equivalent. Use associative array('min' => $minValue, 'max' => $maxValue) for intervals.
string | $comparison | Operator to use for the column comparison, defaults to Criteria::EQUAL

#### Returns

\Thelia\Model\CartItemQuery —

The current query, for fluid interface

#

## Tags

None found

### filterByPromoPrice()

    filterByPromoPrice(mixed $promoPrice, string $comparison) : \Thelia\Model\CartItemQuery

Filter the query on the promo_price column

Example usage: `$query->filterByPromoPrice(1234); // WHERE promo_price = 1234 $query->filterByPromoPrice(array(12, 34)); // WHERE promo_price IN (12, 34) $query->filterByPromoPrice(array('min' => 12)); // WHERE promo_price > 12`

#### Parameters

mixed | $promoPrice | The value to use as filter. Use scalar values for equality. Use array values for in_array() equivalent. Use associative array('min' => $minValue, 'max' => $maxValue) for intervals.
string | $comparison | Operator to use for the column comparison, defaults to Criteria::EQUAL

#### Returns

\Thelia\Model\CartItemQuery —

The current query, for fluid interface

#

## Tags

None found

### filterByPriceEndOfLife()

    filterByPriceEndOfLife(mixed $priceEndOfLife, string $comparison) : \Thelia\Model\CartItemQuery

Filter the query on the price_end_of_life column

Example usage: `$query->filterByPriceEndOfLife('2011-03-14'); // WHERE price_end_of_life = '2011-03-14' $query->filterByPriceEndOfLife('now'); // WHERE price_end_of_life = '2011-03-14' $query->filterByPriceEndOfLife(array('max' => 'yesterday')); // WHERE price_end_of_life > '2011-03-13'`

#### Parameters

mixed | $priceEndOfLife | The value to use as filter. Values can be integers (unix timestamps), DateTime objects, or strings. Empty strings are treated as NULL. Use scalar values for equality. Use array values for in_array() equivalent. Use associative array('min' => $minValue, 'max' => $maxValue) for intervals.
string | $comparison | Operator to use for the column comparison, defaults to Criteria::EQUAL

#### Returns

\Thelia\Model\CartItemQuery —

The current query, for fluid interface

#

## Tags

None found

### filterByCreatedAt()

    filterByCreatedAt(mixed $createdAt, string $comparison) : \Thelia\Model\CartItemQuery

Filter the query on the created_at column

Example usage: `$query->filterByCreatedAt('2011-03-14'); // WHERE created_at = '2011-03-14' $query->filterByCreatedAt('now'); // WHERE created_at = '2011-03-14' $query->filterByCreatedAt(array('max' => 'yesterday')); // WHERE created_at > '2011-03-13'`

#### Parameters

mixed | $createdAt | The value to use as filter. Values can be integers (unix timestamps), DateTime objects, or strings. Empty strings are treated as NULL. Use scalar values for equality. Use array values for in_array() equivalent. Use associative array('min' => $minValue, 'max' => $maxValue) for intervals.
string | $comparison | Operator to use for the column comparison, defaults to Criteria::EQUAL

#### Returns

\Thelia\Model\CartItemQuery —

The current query, for fluid interface

#

## Tags

None found

### filterByUpdatedAt()

    filterByUpdatedAt(mixed $updatedAt, string $comparison) : \Thelia\Model\CartItemQuery

Filter the query on the updated_at column

Example usage: `$query->filterByUpdatedAt('2011-03-14'); // WHERE updated_at = '2011-03-14' $query->filterByUpdatedAt('now'); // WHERE updated_at = '2011-03-14' $query->filterByUpdatedAt(array('max' => 'yesterday')); // WHERE updated_at > '2011-03-13'`

#### Parameters

mixed | $updatedAt | The value to use as filter. Values can be integers (unix timestamps), DateTime objects, or strings. Empty strings are treated as NULL. Use scalar values for equality. Use array values for in_array() equivalent. Use associative array('min' => $minValue, 'max' => $maxValue) for intervals.
string | $comparison | Operator to use for the column comparison, defaults to Criteria::EQUAL

#### Returns

\Thelia\Model\CartItemQuery —

The current query, for fluid interface

#

## Tags

None found

### filterByCart()

    filterByCart(\Thelia\Model\Cart|\Propel\Runtime\Collection\ObjectCollection $cart, string $comparison) : \Thelia\Model\CartItemQuery

Filter the query by a related \Thelia\Model\Cart object

#### Parameters

\Thelia\Model\Cart|\Propel\Runtime\Collection\ObjectCollection | $cart | The related object(s) to use as filter
string | $comparison | Operator to use for the column comparison, defaults to Criteria::EQUAL

#### Returns

\Thelia\Model\CartItemQuery —

The current query, for fluid interface

#

## Tags

None found

### joinCart()

    joinCart(string $relationAlias, string $joinType) : \Thelia\Model\CartItemQuery

Adds a JOIN clause to the query using the Cart relation

#### Parameters

string | $relationAlias | optional alias for the relation
string | $joinType | Accepted values are null, 'left join', 'right join', 'inner join'

#### Returns

\Thelia\Model\CartItemQuery —

The current query, for fluid interface

#

## Tags

None found

### useCartQuery()

    useCartQuery(string $relationAlias, string $joinType) : \Thelia\Model\CartQuery

Use the Cart relation Cart object

#### Parameters

string | $relationAlias | optional alias for the relation, to be used as main alias in the secondary query
string | $joinType | Accepted values are null, 'left join', 'right join', 'inner join'

#### Returns

\Thelia\Model\CartQuery —

A secondary query class using the current class as primary query

#

See also

## Tags

None found

### filterByProduct()

    filterByProduct(\Thelia\Model\Product|\Propel\Runtime\Collection\ObjectCollection $product, string $comparison) : \Thelia\Model\CartItemQuery

Filter the query by a related \Thelia\Model\Product object

#### Parameters

\Thelia\Model\Product|\Propel\Runtime\Collection\ObjectCollection | $product | The related object(s) to use as filter
string | $comparison | Operator to use for the column comparison, defaults to Criteria::EQUAL

#### Returns

\Thelia\Model\CartItemQuery —

The current query, for fluid interface

#

## Tags

None found

### joinProduct()

    joinProduct(string $relationAlias, string $joinType) : \Thelia\Model\CartItemQuery

Adds a JOIN clause to the query using the Product relation

#### Parameters

string | $relationAlias | optional alias for the relation
string | $joinType | Accepted values are null, 'left join', 'right join', 'inner join'

#### Returns

\Thelia\Model\CartItemQuery —

The current query, for fluid interface

#

## Tags

None found

### useProductQuery()

    useProductQuery(string $relationAlias, string $joinType) : \Thelia\Model\ProductQuery

Use the Product relation Product object

#### Parameters

string | $relationAlias | optional alias for the relation, to be used as main alias in the secondary query
string | $joinType | Accepted values are null, 'left join', 'right join', 'inner join'

#### Returns

\Thelia\Model\ProductQuery —

A secondary query class using the current class as primary query

#

See also

## Tags

None found

### filterByProductSaleElements()

    filterByProductSaleElements(\Thelia\Model\ProductSaleElements|\Propel\Runtime\Collection\ObjectCollection $productSaleElements, string $comparison) : \Thelia\Model\CartItemQuery

Filter the query by a related \Thelia\Model\ProductSaleElements object

#### Parameters

\Thelia\Model\ProductSaleElements|\Propel\Runtime\Collection\ObjectCollection | $productSaleElements | The related object(s) to use as filter
string | $comparison | Operator to use for the column comparison, defaults to Criteria::EQUAL

#### Returns

\Thelia\Model\CartItemQuery —

The current query, for fluid interface

#

## Tags

None found

### joinProductSaleElements()

    joinProductSaleElements(string $relationAlias, string $joinType) : \Thelia\Model\CartItemQuery

Adds a JOIN clause to the query using the ProductSaleElements relation

#### Parameters

string | $relationAlias | optional alias for the relation
string | $joinType | Accepted values are null, 'left join', 'right join', 'inner join'

#### Returns

\Thelia\Model\CartItemQuery —

The current query, for fluid interface

#

## Tags

None found

### useProductSaleElementsQuery()

    useProductSaleElementsQuery(string $relationAlias, string $joinType) : \Thelia\Model\ProductSaleElementsQuery

Use the ProductSaleElements relation ProductSaleElements object

#### Parameters

string | $relationAlias | optional alias for the relation, to be used as main alias in the secondary query
string | $joinType | Accepted values are null, 'left join', 'right join', 'inner join'

#### Returns

\Thelia\Model\ProductSaleElementsQuery —

A secondary query class using the current class as primary query

#

See also

## Tags

None found

### prune()

    prune(\Thelia\Model\CartItem $cartItem) : \Thelia\Model\CartItemQuery

Exclude object from result

#### Parameters

\Thelia\Model\CartItem | $cartItem | Object to remove from the list of results

#### Returns

\Thelia\Model\CartItemQuery —

The current query, for fluid interface

#

## Tags

None found

### doDeleteAll()

    doDeleteAll(\Propel\Runtime\Connection\ConnectionInterface $con) : int

Deletes all rows from the cart_item table.

#### Parameters

\Propel\Runtime\Connection\ConnectionInterface | $con | the connection to use

#### Returns

int —

The number of affected rows (if supported by underlying database driver).

#

## Tags

None found

### delete()

    delete(\Propel\Runtime\Connection\ConnectionInterface $con) : int

Performs a DELETE on the database, given a ChildCartItem or Criteria object OR a primary key value.

#### Parameters

\Propel\Runtime\Connection\ConnectionInterface | $con | the connection to use

#### Throws

\Propel\Runtime\Exception\PropelException

  Any exceptions caught during processing will be rethrown wrapped into a PropelException.

#### Returns

int —

The number of affected rows (if supported by underlying database driver). This includes CASCADE-related rows if supported by native driver or if emulated using Propel.

#

## Tags

None found

### recentlyUpdated()

    recentlyUpdated(int $nbDays) : \Thelia\Model\CartItemQuery

Filter by the latest updated

#### Parameters

int | $nbDays | Maximum age of the latest update in days

#### Returns

\Thelia\Model\CartItemQuery —

The current query, for fluid interface

#

## Tags

None found

### recentlyCreated()

    recentlyCreated(int $nbDays) : \Thelia\Model\CartItemQuery

Filter by the latest created

#### Parameters

int | $nbDays | Maximum age of in days

#### Returns

\Thelia\Model\CartItemQuery —

The current query, for fluid interface

#

## Tags

None found

### lastUpdatedFirst()

    lastUpdatedFirst() : \Thelia\Model\CartItemQuery

Order by update date desc

#### Returns

\Thelia\Model\CartItemQuery —

The current query, for fluid interface

#

## Tags

None found

### firstUpdatedFirst()

    firstUpdatedFirst() : \Thelia\Model\CartItemQuery

Order by update date asc

#### Returns

\Thelia\Model\CartItemQuery —

The current query, for fluid interface

#

## Tags

None found

### lastCreatedFirst()

    lastCreatedFirst() : \Thelia\Model\CartItemQuery

Order by create date desc

#### Returns

\Thelia\Model\CartItemQuery —

The current query, for fluid interface

#

## Tags

None found

### firstCreatedFirst()

    firstCreatedFirst() : \Thelia\Model\CartItemQuery

Order by create date asc

#### Returns

\Thelia\Model\CartItemQuery —

The current query, for fluid interface

#

## Tags

None found

### orderById()

    orderById($order =) : \Thelia\Model\CartItemQuery

Order by the id column

#### Parameters

$order | = |

#### Returns

\Thelia\Model\CartItemQuery

#

## Tags

None found

### orderByCartId()

    orderByCartId($order =) : \Thelia\Model\CartItemQuery

Order by the cart_id column

#### Parameters

$order | = |

#### Returns

\Thelia\Model\CartItemQuery

#

## Tags

None found

### orderByProductId()

    orderByProductId($order =) : \Thelia\Model\CartItemQuery

Order by the product_id column

#### Parameters

$order | = |

#### Returns

\Thelia\Model\CartItemQuery

#

## Tags

None found

### orderByQuantity()

    orderByQuantity($order =) : \Thelia\Model\CartItemQuery

Order by the quantity column

#### Parameters

$order | = |

#### Returns

\Thelia\Model\CartItemQuery

#

## Tags

None found

### orderByProductSaleElementsId()

    orderByProductSaleElementsId($order =) : \Thelia\Model\CartItemQuery

Order by the product_sale_elements_id column

#### Parameters

$order | = |

#### Returns

\Thelia\Model\CartItemQuery

#

## Tags

None found

### orderByPrice()

    orderByPrice($order =) : \Thelia\Model\CartItemQuery

Order by the price column

#### Parameters

$order | = |

#### Returns

\Thelia\Model\CartItemQuery

#

## Tags

None found

### orderByPromoPrice()

    orderByPromoPrice($order =) : \Thelia\Model\CartItemQuery

Order by the promo_price column

#### Parameters

$order | = |

#### Returns

\Thelia\Model\CartItemQuery

#

## Tags

None found

### orderByPriceEndOfLife()

    orderByPriceEndOfLife($order =) : \Thelia\Model\CartItemQuery

Order by the price_end_of_life column

#### Parameters

$order | = |

#### Returns

\Thelia\Model\CartItemQuery

#

## Tags

None found

### orderByCreatedAt()

    orderByCreatedAt($order =) : \Thelia\Model\CartItemQuery

Order by the created_at column

#### Parameters

$order | = |

#### Returns

\Thelia\Model\CartItemQuery

#

## Tags

None found

### orderByUpdatedAt()

    orderByUpdatedAt($order =) : \Thelia\Model\CartItemQuery

Order by the updated_at column

#### Parameters

$order | = |

#### Returns

\Thelia\Model\CartItemQuery

#

## Tags

None found

### groupById()

    groupById() : \Thelia\Model\CartItemQuery

Group by the id column

#### Returns

\Thelia\Model\CartItemQuery

#

## Tags

None found

### groupByCartId()

    groupByCartId() : \Thelia\Model\CartItemQuery

Group by the cart_id column

#### Returns

\Thelia\Model\CartItemQuery

#

## Tags

None found

### groupByProductId()

    groupByProductId() : \Thelia\Model\CartItemQuery

Group by the product_id column

#### Returns

\Thelia\Model\CartItemQuery

#

## Tags

None found

### groupByQuantity()

    groupByQuantity() : \Thelia\Model\CartItemQuery

Group by the quantity column

#### Returns

\Thelia\Model\CartItemQuery

#

## Tags

None found

### groupByProductSaleElementsId()

    groupByProductSaleElementsId() : \Thelia\Model\CartItemQuery

Group by the product_sale_elements_id column

#### Returns

\Thelia\Model\CartItemQuery

#

## Tags

None found

### groupByPrice()

    groupByPrice() : \Thelia\Model\CartItemQuery

Group by the price column

#### Returns

\Thelia\Model\CartItemQuery

#

## Tags

None found

### groupByPromoPrice()

    groupByPromoPrice() : \Thelia\Model\CartItemQuery

Group by the promo_price column

#### Returns

\Thelia\Model\CartItemQuery

#

## Tags

None found

### groupByPriceEndOfLife()

    groupByPriceEndOfLife() : \Thelia\Model\CartItemQuery

Group by the price_end_of_life column

#### Returns

\Thelia\Model\CartItemQuery

#

## Tags

None found

### groupByCreatedAt()

    groupByCreatedAt() : \Thelia\Model\CartItemQuery

Group by the created_at column

#### Returns

\Thelia\Model\CartItemQuery

#

## Tags

None found

### groupByUpdatedAt()

    groupByUpdatedAt() : \Thelia\Model\CartItemQuery

Group by the updated_at column

#### Returns

\Thelia\Model\CartItemQuery

#

## Tags

None found

### leftJoin()

    leftJoin(mixed $relation) : \Thelia\Model\CartItemQuery

Adds a LEFT JOIN clause to the query

#### Parameters

mixed | $relation |

#### Returns

\Thelia\Model\CartItemQuery

#

## Tags

None found

### rightJoin()

    rightJoin(mixed $relation) : \Thelia\Model\CartItemQuery

Adds a RIGHT JOIN clause to the query

#### Parameters

mixed | $relation |

#### Returns

\Thelia\Model\CartItemQuery

#

## Tags

None found

### innerJoin()

    innerJoin(mixed $relation) : \Thelia\Model\CartItemQuery

Adds a INNER JOIN clause to the query

#### Parameters

mixed | $relation |

#### Returns

\Thelia\Model\CartItemQuery

#

## Tags

None found

### leftJoinCart()

    leftJoinCart($relationAlias =) : \Thelia\Model\CartItemQuery

Adds a LEFT JOIN clause to the query using the Cart relation

#### Parameters

$relationAlias | = |

#### Returns

\Thelia\Model\CartItemQuery

#

## Tags

None found

### rightJoinCart()

    rightJoinCart($relationAlias =) : \Thelia\Model\CartItemQuery

Adds a RIGHT JOIN clause to the query using the Cart relation

#### Parameters

$relationAlias | = |

#### Returns

\Thelia\Model\CartItemQuery

#

## Tags

None found

### innerJoinCart()

    innerJoinCart($relationAlias =) : \Thelia\Model\CartItemQuery

Adds a INNER JOIN clause to the query using the Cart relation

#### Parameters

$relationAlias | = |

#### Returns

\Thelia\Model\CartItemQuery

#

## Tags

None found

### leftJoinProduct()

    leftJoinProduct($relationAlias =) : \Thelia\Model\CartItemQuery

Adds a LEFT JOIN clause to the query using the Product relation

#### Parameters

$relationAlias | = |

#### Returns

\Thelia\Model\CartItemQuery

#

## Tags

None found

### rightJoinProduct()

    rightJoinProduct($relationAlias =) : \Thelia\Model\CartItemQuery

Adds a RIGHT JOIN clause to the query using the Product relation

#### Parameters

$relationAlias | = |

#### Returns

\Thelia\Model\CartItemQuery

#

## Tags

None found

### innerJoinProduct()

    innerJoinProduct($relationAlias =) : \Thelia\Model\CartItemQuery

Adds a INNER JOIN clause to the query using the Product relation

#### Parameters

$relationAlias | = |

#### Returns

\Thelia\Model\CartItemQuery

#

## Tags

None found

### leftJoinProductSaleElements()

    leftJoinProductSaleElements($relationAlias =) : \Thelia\Model\CartItemQuery

Adds a LEFT JOIN clause to the query using the ProductSaleElements relation

#### Parameters

$relationAlias | = |

#### Returns

\Thelia\Model\CartItemQuery

#

## Tags

None found

### rightJoinProductSaleElements()

    rightJoinProductSaleElements($relationAlias =) : \Thelia\Model\CartItemQuery

Adds a RIGHT JOIN clause to the query using the ProductSaleElements relation

#### Parameters

$relationAlias | = |

#### Returns

\Thelia\Model\CartItemQuery

#

## Tags

None found

### innerJoinProductSaleElements()

    innerJoinProductSaleElements($relationAlias =) : \Thelia\Model\CartItemQuery

Adds a INNER JOIN clause to the query using the ProductSaleElements relation

#### Parameters

$relationAlias | = |

#### Returns

\Thelia\Model\CartItemQuery

#

## Tags

None found

### findOne()

    findOne(ConnectionInterface $con) : \Thelia\Model\CartItem

Return the first ChildCartItem matching the query

#### Parameters

ConnectionInterface | $con |

#### Returns

\Thelia\Model\CartItem

#

## Tags

None found

### findOneOrCreate()

    findOneOrCreate(ConnectionInterface $con) : \Thelia\Model\CartItem

Return the first ChildCartItem matching the query, or a new ChildCartItem object populated from the query conditions when no match is found

#### Parameters

ConnectionInterface | $con |

#### Returns

\Thelia\Model\CartItem

#

## Tags

None found

### findOneById()

    findOneById(int $id) : \Thelia\Model\CartItem

Return the first ChildCartItem filtered by the id column

#### Parameters

int | $id |

#### Returns

\Thelia\Model\CartItem

#

## Tags

None found

### findOneByCartId()

    findOneByCartId(int $cart_id) : \Thelia\Model\CartItem

Return the first ChildCartItem filtered by the cart_id column

#### Parameters

int | $cart_id |

#### Returns

\Thelia\Model\CartItem

#

## Tags

None found

### findOneByProductId()

    findOneByProductId(int $product_id) : \Thelia\Model\CartItem

Return the first ChildCartItem filtered by the product_id column

#### Parameters

int | $product_id |

#### Returns

\Thelia\Model\CartItem

#

## Tags

None found

### findOneByQuantity()

    findOneByQuantity(double $quantity) : \Thelia\Model\CartItem

Return the first ChildCartItem filtered by the quantity column

#### Parameters

double | $quantity |

#### Returns

\Thelia\Model\CartItem

#

## Tags

None found

### findOneByProductSaleElementsId()

    findOneByProductSaleElementsId(int $product_sale_elements_id) : \Thelia\Model\CartItem

Return the first ChildCartItem filtered by the product_sale_elements_id column

#### Parameters

int | $product_sale_elements_id |

#### Returns

\Thelia\Model\CartItem

#

## Tags

None found

### findOneByPrice()

    findOneByPrice(double $price) : \Thelia\Model\CartItem

Return the first ChildCartItem filtered by the price column

#### Parameters

double | $price |

#### Returns

\Thelia\Model\CartItem

#

## Tags

None found

### findOneByPromoPrice()

    findOneByPromoPrice(double $promo_price) : \Thelia\Model\CartItem

Return the first ChildCartItem filtered by the promo_price column

#### Parameters

double | $promo_price |

#### Returns

\Thelia\Model\CartItem

#

## Tags

None found

### findOneByPriceEndOfLife()

    findOneByPriceEndOfLife(string $price_end_of_life) : \Thelia\Model\CartItem

Return the first ChildCartItem filtered by the price_end_of_life column

#### Parameters

string | $price_end_of_life |

#### Returns

\Thelia\Model\CartItem

#

## Tags

None found

### findOneByCreatedAt()

    findOneByCreatedAt(string $created_at) : \Thelia\Model\CartItem

Return the first ChildCartItem filtered by the created_at column

#### Parameters

string | $created_at |

#### Returns

\Thelia\Model\CartItem

#

## Tags

None found

### findOneByUpdatedAt()

    findOneByUpdatedAt(string $updated_at) : \Thelia\Model\CartItem

Return the first ChildCartItem filtered by the updated_at column

#### Parameters

string | $updated_at |

#### Returns

\Thelia\Model\CartItem

#

## Tags

None found

### findById()

    findById(int $id) : array

Return ChildCartItem objects filtered by the id column

#### Parameters

int | $id |

#### Returns

array

#

## Tags

None found

### findByCartId()

    findByCartId(int $cart_id) : array

Return ChildCartItem objects filtered by the cart_id column

#### Parameters

int | $cart_id |

#### Returns

array

#

## Tags

None found

### findByProductId()

    findByProductId(int $product_id) : array

Return ChildCartItem objects filtered by the product_id column

#### Parameters

int | $product_id |

#### Returns

array

#

## Tags

None found

### findByQuantity()

    findByQuantity(double $quantity) : array

Return ChildCartItem objects filtered by the quantity column

#### Parameters

double | $quantity |

#### Returns

array

#

## Tags

None found

### findByProductSaleElementsId()

    findByProductSaleElementsId(int $product_sale_elements_id) : array

Return ChildCartItem objects filtered by the product_sale_elements_id column

#### Parameters

int | $product_sale_elements_id |

#### Returns

array

#

## Tags

None found

### findByPrice()

    findByPrice(double $price) : array

Return ChildCartItem objects filtered by the price column

#### Parameters

double | $price |

#### Returns

array

#

## Tags

None found

### findByPromoPrice()

    findByPromoPrice(double $promo_price) : array

Return ChildCartItem objects filtered by the promo_price column

#### Parameters

double | $promo_price |

#### Returns

array

#

## Tags

None found

### findByPriceEndOfLife()

    findByPriceEndOfLife(string $price_end_of_life) : array

Return ChildCartItem objects filtered by the price_end_of_life column

#### Parameters

string | $price_end_of_life |

#### Returns

array

#

## Tags

None found

### findByCreatedAt()

    findByCreatedAt(string $created_at) : array

Return ChildCartItem objects filtered by the created_at column

#### Parameters

string | $created_at |

#### Returns

array

#

## Tags

None found

### findByUpdatedAt()

    findByUpdatedAt(string $updated_at) : array

Return ChildCartItem objects filtered by the updated_at column

#### Parameters

string | $updated_at |

#### Returns

array

#

## Tags

None found

### findPkSimple()

    findPkSimple(mixed $key, \Propel\Runtime\Connection\ConnectionInterface $con) : \Thelia\Model\CartItem

Find object by primary key using raw SQL to go fast.

Bypass doSelect() and the object formatter by using generated code.

#### Parameters

mixed | $key | Primary key to use for the query
\Propel\Runtime\Connection\ConnectionInterface | $con | A connection object

#### Returns

\Thelia\Model\CartItem —

A model object, or null if the key is not found

#

## Tags

None found

### findPkComplex()

    findPkComplex(mixed $key, \Propel\Runtime\Connection\ConnectionInterface $con) : \Thelia\Model\CartItem|array|mixed

Find object by primary key.

#### Parameters

mixed | $key | Primary key to use for the query
\Propel\Runtime\Connection\ConnectionInterface | $con | A connection object

#### Returns

\Thelia\Model\CartItem|array|mixed —

the result, formatted by the current formatter

#

## Tags

None found

### CartItemQuery.php